<?php declare(strict_types=1);

namespace App\Dto\Service\Registry\V2\AuthorizationService;

use App\Dto\Service\Dto;
use App\Models\User;

final readonly class Authorization extends Dto
{
    public function __construct(
        private string $service,
        private ?Scope $scope,
        private ?User  $user = null,
    ) { }

    public function getService(): string
    {
        return $this->service;
    }

    public function getScope(): ?Scope
    {
        return $this->scope;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }
}
