<?php declare(strict_types=1);

namespace App\Enums;

use App\Models\User;

enum Morph: int
{
    case User = 1;

    public function getPathModel(): string
    {
        return match ($this) {
            self::User => User::class,
        };
    }

    public function getFolderName(): string
    {
        return $this->name;
    }

    public static function map(): array
    {
        $map = [];
        foreach (self::cases() as $item) {
            $map[$item->value] = $item->getPathModel();
        }
        return $map;
    }
}
