<?php declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

final class OperatingSystem extends Model
{
    use HasFactory;

    protected $table = 'operating_systems';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
    ];

    public function architectures(): HasMany
    {
        return $this->hasMany(Architecture::class, 'operating_system_id');
    }
}
