<?php declare(strict_types=1);

namespace App\Providers;

use Illuminate\Support\Facades\Blade;
use Illuminate\Support\ServiceProvider;

final class BladeProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {

    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Blade::directive('abbreviate_int', function ($expression) {
            return sprintf('<?php echo \App\Helpers\Number::abbreviate(%s) ; ?>', $expression);
        });

        Blade::directive('short_digest', function ($expression) {
            return sprintf('<?php echo \App\Helpers\Helpers::shortDigest(%s) ; ?>', $expression);
        });

        Blade::directive('size_for_humans', function ($expression) {
            return sprintf('<?php echo \App\Helpers\Number::sizeForHumans(%s) ; ?>', $expression);
        });
    }
}
