<?php declare(strict_types=1);

namespace App\ServiceResults\Site\AccessTokenService;

use App\Enums\AccessTokenPermission;
use App\ServiceResults\ServiceResult;

final class StoreTokenResult extends ServiceResult
{
    public function __construct(
        private readonly string                $name,
        private readonly AccessTokenPermission $permission,
        private readonly string                $token,
    ) { }

    public function getName(): string
    {
        return $this->name;
    }

    public function getPermission(): AccessTokenPermission
    {
        return $this->permission;
    }

    public function getToken(): string
    {
        return $this->token;
    }
}
