<?php declare(strict_types=1);

namespace App\Services\Registry\V2;

use App\Enums\CacheTag;

final readonly class ContentPrivateKeyCommand
{
    public function execute(string $privateKeyName): string
    {
        $seconds = 3600;

        return CacheTag::RegistryV2PrivateKey->getCache()
            ->remember(self::class . $privateKeyName, $seconds, function () use ($privateKeyName) {
                return \file_get_contents( \resource_path('certs/' . $privateKeyName) );
            });
    }
}
