<?php declare(strict_types=1);

namespace App\Services\Repository;

use App\Models\Repository;
use App\Models\User;
use Illuminate\Support\Str;

final readonly class RepositoryCommandHandler
{
    public function handleStore(User $user, array $data, int|string $name): Repository
    {
        $data['name'] = Str::lower($name);
        $repository = $user->repositories()->create($data);

        return $repository;
    }

    public function handleUpdate(Repository $repository, array $data): Repository
    {
        if (isset($data['name'])) {
            // It is not yet clear how to rename repositories in the registry service.
            unset($data['name']);
        }

        $repository->update($data);
        return $repository;
    }

    public function handleDestroy(Repository $repository): void
    {
        $repository->delete();
    }
}
